package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.*;
import cn.com.qmth.examcloud.core.oe.admin.api.response.*;
import org.springframework.stereotype.Service;

@Service("examRecordCloudService")
public class ExamRecordCloudServiceClient extends AbstractCloudClientSupport
		implements
			ExamRecordCloudService {

	private static final long serialVersionUID = 6596862028883396367L;

	@Override
	public CheckExamIsStartedResp checkExamIsStarted(CheckExamIsStartedReq examRecordReq) {
		return post("examRecord/checkExamIsStarted", examRecordReq, CheckExamIsStartedResp.class);
	}

	@Override
	public QueryExamRecordForSelectScoreResp queryExamRecordForSelectScoreByScoreId(
			QueryExamRecordForSelectScoreReq req) {
		return post("examRecord/queryExamRecordForSelectScoreByScoreId", req,
				QueryExamRecordForSelectScoreResp.class);
	}

	@Override
	public QueryExamRecordForSelectScoreResp queryExamRecordForSelectScoreByExamStudentId(
			QueryExamRecordForSelectScoreReq req) {
		return post("examRecord/queryExamRecordForSelectScoreByExamStudentId", req,
				QueryExamRecordForSelectScoreResp.class);
	}

	@Override
	public GetExamPhotoVerifyDataResp getExamPhotoVerifyData(GetExamPhotoVerifyDataReq req) {
		return post("examRecord/getExamPhotoVerifyData", req, GetExamPhotoVerifyDataResp.class);
	}

	@Override
	public GetToBeMarkExamRecordResp getToBeMarkExamRecord(GetToBeMarkExamRecordReq req) {
		return post("examRecord/getToBeMarkExamRecord", req, GetToBeMarkExamRecordResp.class);
	}

	/**
	 * 获取部分考试记录数据
	 *
	 * @param req
	 * @return
	 */
	@Override
	public GetPartialExamRecordDataResp getPartialExamRecordData(GetPartialExamRecordDataReq req) {
		return post("examRecord/getPartialExamRecordData", req, GetPartialExamRecordDataResp.class);
	}

	@Override
	public GetPagedToBeMarkExamRecordResp getPagedToBeMarkExamRecord(GetPagedToBeMarkExamRecordReq req) {
		return post("examRecord/getPagedToBeMarkExamRecord", req, GetPagedToBeMarkExamRecordResp.class);
	}
}
