package cn.com.qmth.examcloud.core.oe.admin.client;

import cn.com.qmth.examcloud.core.oe.admin.api.ExamScoreDataCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.*;
import cn.com.qmth.examcloud.core.oe.admin.api.response.*;
import org.springframework.stereotype.Service;

@Service
public class ExamScoreDataCloudServiceClient extends AbstractCloudClientSupport
        implements ExamScoreDataCloudService {

    private static final long serialVersionUID = 702370114207337204L;

    @Override
    public FindExamScoreDataResp findExamScoreDataByScoreId(
            FindExamScoreDataReq findExamScoreDataReq) {
        return post("examScoreData/findExamScoreDataByScoreId", findExamScoreDataReq,
                FindExamScoreDataResp.class);
    }

    @Override
    public FindExamScoreDataResp findExamScoreDataByExamIdAndStudentCode(
            FindExamScoreDataReq findExamScoreDataReq) {
        return post("examScoreData/findExamScoreDataByExamIdAndStudentCode", findExamScoreDataReq,
                FindExamScoreDataResp.class);
    }

    @Override
    public GetScoreDataResp getScoreData(GetScoreDataReq req) {
        return post("examScoreData/getScoreData", req, GetScoreDataResp.class);
    }

    @Override
    public GetAuditDataResp getAuditData(GetAuditDataReq req) {
        return post("examScoreData/getAuditData", req, GetAuditDataResp.class);
    }

    @Override
    public QueryCapturePhotoResp queryCapturePhoto(QueryCapturePhotoReq req) {
        return post("examScoreData/queryCapturePhoto", req, QueryCapturePhotoResp.class);
    }

    @Override
    public QueryScoreDataResp queryScoreData(QueryScoreDataReq req) {
        return post("examScoreData/queryScoreData", req, QueryScoreDataResp.class);
    }

    @Override
    public QueryScoreListResp queryScoreList(QueryScoreListReq req) {
        return post("examScoreData/queryScoreList", req, QueryScoreListResp.class);
    }

    @Override
    public GetFinalScoreDataResp getFinalScoreData(GetFinalScoreDataReq req) {
        return post("examScoreData/getFinalScoreData", req, GetFinalScoreDataResp.class);
    }
}
