package cn.com.qmth.examcloud.core.oe.task.client;

import cn.com.qmth.examcloud.core.oe.task.api.ExamCaptureCloudService;
import cn.com.qmth.examcloud.core.oe.task.api.request.ExistUnhandledCaptureQueueReq;
import cn.com.qmth.examcloud.core.oe.task.api.request.SaveExamCaptureSyncCompareResultReq;
import cn.com.qmth.examcloud.core.oe.task.api.request.UpdateExamCaptureQueuePriorityReq;
import cn.com.qmth.examcloud.core.oe.task.api.response.ExistUnhandledCaptureQueueResp;
import org.springframework.stereotype.Service;

/**
 * @Description
 * @Author lideyin
 * @Date 2019/10/12 10:52
 * @Version 1.0
 */
@Service("examCaptureCloudService")
public class ExamCaptureCloudServiceClient extends AbstractCloudClientSupport
        implements
        ExamCaptureCloudService {
    private static final String APP_NAME = "EC-CORE-OE-TASK";

    @Override
    public void saveExamCaptureSyncCompareResult(SaveExamCaptureSyncCompareResultReq request) {
        post("examCapture/saveExamCaptureSyncCompareResult", request);
    }

    /**
     * @param req 更新照片优先级请求参数
     * @description 更新考试抓拍照片在队列优中的先级
     * @date 2019/7/31 16:46
     * @author lideyin
     */
    @Override
    public void updateExamCaptureQueuePriority(UpdateExamCaptureQueuePriorityReq req) {
        post("examCapture/updateExamCaptureQueuePriority", req);
    }

    /**
     * 是否存在未处理的图片抓拍队列(处理完成的队列数据都会清理掉)
     *
     * @param req
     * @return
     */
    @Override
    public ExistUnhandledCaptureQueueResp existsUnhandledCaptureQueue(ExistUnhandledCaptureQueueReq req) {
        return post("examCapture/existsUnhandledCaptureQueue", req, ExistUnhandledCaptureQueueResp.class);
    }
}
