package cn.com.qmth.examcloud.core.oe.task.api;


import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.task.api.request.ExistUnhandledCaptureQueueReq;
import cn.com.qmth.examcloud.core.oe.task.api.request.SaveExamCaptureSyncCompareResultReq;
import cn.com.qmth.examcloud.core.oe.task.api.request.UpdateExamCaptureQueuePriorityReq;
import cn.com.qmth.examcloud.core.oe.task.api.response.ExistUnhandledCaptureQueueResp;

/**
 * @Description 考试抓拍云服务接口
 * @Author lideyin
 * @Date 2019/10/12 10:37
 * @Version 1.0
 */
public interface ExamCaptureCloudService extends CloudService {
    /**
     * 保存同步比较的抓拍照片结果
     *
     * @param request
     */
    void saveExamCaptureSyncCompareResult(SaveExamCaptureSyncCompareResultReq request);

    /**
     * @param req 更新照片优先级请求参数
     * @description 更新考试抓拍照片在队列优中的先级
     * @date 2019/7/31 16:46
     * @author lideyin
     */
    void updateExamCaptureQueuePriority(UpdateExamCaptureQueuePriorityReq req);

    /**
     * 是否存在未处理的图片抓拍队列(处理完成的队列数据都会清理掉)
     *
     * @param req
     * @return
     */
    ExistUnhandledCaptureQueueResp existsUnhandledCaptureQueue(ExistUnhandledCaptureQueueReq req);
}
